# Python

如果系统已经安装Python3，或不需要数据库支持Python3，则跳过该安装过程。

## 安装

CentOS7默认软件源中没有Python3，要安装Python3需首先安装epel软件源。
```
[root@localhost ~] yum install epel-release
```

使用 yum 安装 Python3

```
[root@localhost ~] yum install python36
```

### 安装 Python 依赖库
使用 pip3 命令安装项目需要用到的 Python 依赖库
```
[root@localhost ~] pip3 install vg
[root@localhost ~] pip3 install numpy
[root@localhost ~] pip3 install matplotlib
[root@localhost ~] pip3 install shapely
[root@localhost ~] pip3 install networkx
```